com.strongloop.android.loopback

## Class User

- java.lang.Object
- - com.strongloop.android.remoting.VirtualObject
  - - com.strongloop.android.loopback.Model
    - - com.strongloop.android.loopback.User

    public class User
    extends Model

A local representative of a single user instance on the server. Derived from Model, the data is immediately accessible locally, but can be saved, destroyed, etc. from the server easily.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.strongloop.android.loopback.Model

`Model.Callback`

### Constructor Summary

Constructors
Constructor and Description
`User()`
`User(Repository repository, java.util.Map<java.lang.String,? extends java.lang.Object> creationParameters)`

### Method Summary

Methods
`java.lang.String` `getEmail()`
`java.lang.Boolean` `getEmailVerified()`
`java.lang.String` `getPassword()`
`java.lang.String` `getRealm()`
`java.lang.String` `getStatus()`
`void` `setEmail(java.lang.String email)`
`void` `setEmailVerified(java.lang.Boolean emailVerified)`
`void` `setPassword(java.lang.String password)`
`void` `setRealm(java.lang.String realm)`
`void` `setStatus(java.lang.String status)`

### Methods inherited from class com.strongloop.android.loopback.Model

`destroy, get, getId, put, putAll, save, toMap`

### Methods inherited from class com.strongloop.android.remoting.VirtualObject

`getCreationParameters, getRepository, invokeMethod, invokeMethod, setCreationParameters, setRepository`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### User

    public User(Repository repository,
        java.util.Map<java.lang.String,? extends java.lang.Object> creationParameters)

#### User

    public User()

### Method Detail

#### setRealm

    public void setRealm(java.lang.String realm)

#### getRealm

    public java.lang.String getRealm()

#### setEmail

    public void setEmail(java.lang.String email)

#### getEmail

    public java.lang.String getEmail()

#### setPassword

    public void setPassword(java.lang.String password)

#### getPassword

    public java.lang.String getPassword()

#### setEmailVerified

    public void setEmailVerified(java.lang.Boolean emailVerified)

#### getEmailVerified

    public java.lang.Boolean getEmailVerified()

#### setStatus

    public void setStatus(java.lang.String status)

#### getStatus

    public java.lang.String getStatus()